Index: sasmodels/models/raspberry.c
===================================================================
--- sasmodels/models/raspberry.c	(revision bad8b1212431e9f040d688c7bd43c49ef99bedbd)
+++ sasmodels/models/raspberry.c	(revision 0433203b21cec5562e82731f94d8c3e23c3225be)
@@ -21,5 +21,5 @@
 double Iq(double q,
           double sld_lg, double sld_sm, double sld_solvent,
-          double volfraction_lg, double volfraction_sm, double surf_fraction,
+          double volfraction_lg, double volfraction_sm, double surface_fraction,
           double radius_lg, double radius_sm, double penetration)
 {
@@ -37,6 +37,6 @@
     sldL = sld_lg;
     vfS = volfraction_sm;
+    fSs = surface_fraction;
     rS = radius_sm;
-    aSs = surf_fraction;
     sldS = sld_sm;
     deltaS = penetration;
@@ -48,9 +48,7 @@
     VL = M_4PI_3*rL*rL*rL;
     VS = M_4PI_3*rS*rS*rS;
-    Np = aSs*4.0*pow(((rL+deltaS)/rS), 2.0);
-    fSs = Np*vfL*VS/vfS/VL;
-    
-    Np2 = aSs*4.0*(rS/(rL+deltaS))*VL/VS; 
-    fSs2 = Np2*vfL*VS/vfS/VL;
+
+    Np = vfS*fSs*VL/vfL/VS;
+
     slT = delrhoL*VL + Np*delrhoS*VS;
 
@@ -59,12 +57,12 @@
         
     f2 = delrhoL*delrhoL*VL*VL*sph_j1c(q*rL)*sph_j1c(q*rL); 
-    f2 += Np2*delrhoS*delrhoS*VS*VS*sph_j1c(q*rS)*sph_j1c(q*rS); 
-    f2 += Np2*(Np2-1)*delrhoS*delrhoS*VS*VS*sfSS; 
-    f2 += 2*Np2*delrhoL*delrhoS*VL*VS*sfLS;
+    f2 += Np*delrhoS*delrhoS*VS*VS*sph_j1c(q*rS)*sph_j1c(q*rS);
+    f2 += Np*(Np-1)*delrhoS*delrhoS*VS*VS*sfSS;
+    f2 += 2*Np*delrhoL*delrhoS*VL*VS*sfLS;
     if (f2 != 0.0){
         f2 = f2/slT/slT;
         }
 
-    f2 = f2*(vfL*delrhoL*delrhoL*VL + vfS*fSs2*Np2*delrhoS*delrhoS*VS);
+    f2 = f2*(vfL*delrhoL*delrhoL*VL + vfS*fSs*Np*delrhoS*delrhoS*VS);
 
     f2+= vfS*(1.0-fSs)*pow(delrhoS, 2)*VS*sph_j1c(q*rS)*sph_j1c(q*rS);
Index: sasmodels/models/raspberry.py
===================================================================
--- sasmodels/models/raspberry.py	(revision bad8b1212431e9f040d688c7bd43c49ef99bedbd)
+++ sasmodels/models/raspberry.py	(revision 0433203b21cec5562e82731f94d8c3e23c3225be)
@@ -44,5 +44,5 @@
 from numpy import pi, inf
 
-name = "raspberry"
+name = "raspberry_surface_fraction"
 title = "Calculates the form factor, *P(q)*, for a 'Raspberry-like' structure \
 where there are smaller spheres at the surface of a larger sphere, such as the \
@@ -50,13 +50,13 @@
 description = """
                 RaspBerryModel:
-                volf_Lsph = volume fraction large spheres
-                radius_Lsph = radius large sphere (A)
-                sld_Lsph = sld large sphere (A-2)
-                volf_Ssph = volume fraction small spheres
-                radius_Ssph = radius small sphere (A)
-                surfrac_Ssph = fraction of small spheres at surface
-                sld_Ssph = sld small sphere
-                delta_Ssph = small sphere penetration (A) 
-                sld_solv   = sld solvent
+                volfraction_lg = volume fraction large spheres
+                radius_lg = radius large sphere (A)
+                sld_lg = sld large sphere (A-2)
+                volfraction_sm = volume fraction small spheres
+                radius_sm = radius small sphere (A)
+                surface_fraction = fraction of small spheres at surface
+                sld_sm = sld small sphere
+                penetration = small sphere penetration (A)
+                sld_solvent   = sld solvent
                 background = background (cm-1)
             Ref: J. coll. inter. sci. (2010) vol. 343 (1) pp. 36-41."""
@@ -74,5 +74,5 @@
               ["volfraction_sm", "", 0.005, [-inf, inf], "",
                "volume fraction of small spheres"],
-              ["surf_fraction", "", 0.4, [-inf, inf], "",
+              ["surface_fraction", "", 0.4, [-inf, inf], "",
                "fraction of small spheres at surface"],
               ["radius_lg", "Ang", 5000, [0, inf], "volume",
@@ -89,5 +89,5 @@
 demo = dict(scale=1, background=0.001,
             sld_lg=-0.4, sld_sm=3.5, sld_solvent=6.36,
-            volfraction_lg=0.05, volfraction_sm=0.005, surf_fraction=0.4,
+            volfraction_lg=0.05, volfraction_sm=0.005, surface_fraction=0.4,
             radius_lg=5000, radius_sm=100, penetration=0.0,
             radius_lg_pd=.2, radius_lg_pd_n=10)
@@ -95,11 +95,4 @@
 # For testing against the old sasview models, include the converted parameter
 # names and the target sasview model name.
-oldname = 'RaspBerryModel'
-oldpars = dict(sld_lg='sld_Lsph', sld_sm='sld_Ssph', sld_solvent='sld_solv',
-               volfraction_lg='volf_Lsph', volfraction_sm='volf_Ssph',
-               surf_fraction='surfrac_Ssph',
-               radius_lg='radius_Lsph', radius_sm='radius_Ssph',
-               penetration='delta_Ssph')
-
 
 # NOTE: test results taken from values returned by SasView 3.1.2, with
